INSTALLPKG(8)

NOME
installpkg - instala pacotes do Slackware.

SINOPSE
installpkg [ --warn ] [ --md5sum ] [ --root /outraraíz ] [ --infobox ] [ --menu ] [ --terse ] [ --perguntar ] [ --priority ADD|REC|OPT|SKP ] [ --tagfile /algumdiretório/tagfile ] nomedopacote [ nomedopacote2 ... ]

DESCRIÇÃO
installpkg instala um ou vários pacotes binários *.tgz (ou .tbz, .tlz, .txz) projetados para usar com a distribuição Slackware Linux no seu sistema.

OPÇÕES

--warn nomedopacote
    Gera uma lista de ficheiros que seriam substituídos para a saída padrão, mas na verdade não instala o pacote. A lista é formatada de uma forma apropriada para usar como lista de ficheiros para uma cópia de segurança.

--md5sum nomedopacote
    Registe o md5sum do pacote nos metadados escritos em /var/log/packages.

--root /outraraíz
    Instala usando uma localização diferente do / (padrão) como a raíz do sistema de ficheiros onde instalar. No exemplo dado, usa /outraraíz como alternativa. Definir a variável de ambiente do ROOT faz a mesma coisa.

--infobox
    Use /bin/dialog para exibir uma caixa de diálogo de informação como o pacote foi instalado. Usado principalmente quando o installpkg é chamado de outros scripts.

--menu
    Use /bin/dialog para exibir um menu perguntando ao utilizador se eles gostariam de instalar o pacote(s) ou não. Geralmente usado quando o installpkg é chamado de outros scripts.

--terse
    Instala o pacote mostrando apenas uma linha de descrição na saída padrão.

--perguntar
    Usado com o modo -menu. Quando selecionado, pergunta sempre se um pacote deve ser instalado, independente de qual seja a prioridade do pacote.

--priority ADD|REC|OPT|SKP
    Quando estiver a instalar com a opção -menu, o nível de prioridade dos pacotes (presente no ficheiro "tagfile" no diretório do pacote) são usados para instalar automaticamente (ADD) ou saltar (SKIP) um pacote, ou para sugerir ao utilizador como recomendado (REC) ou opcional (OPT) se um menu for mostrado. Se uma prioridade for definida na linha de comando isso vai sobreescrever os valores definidos no tagfile de todos os pacotes da lista.

--tagfile /algumdiretório/tagfile
    Especifique um ficheiro diferente para ser usado para as prioridades do pacote (neste exemplo, /somedir/tagfile será usado). O padrão é o "tagfile" no diretório dos pacotes.

EXEMPLOS

Instalar um pacote fonte para X:

installpkg font-bh-ttf-1.0.3-noarch-1.txz

Observe que se um pacote já estiver instalado, upgradepkg(8) deve ser usado ao invés disso.

Criar uma cópia de segurança dos ficheiros que seriam substituídos se o pacote está instalado:

tar czvf /tmp/backup.tar.gz \
  $(installpkg --warn font-bh-ttf-1.0.3-noarch-1.txz)

AUTOR
Patrick J. Volkerding <volkerdi@slackware.com>

VER TAMBÉM
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)